Index: engine-cdi/src/test/java/org/camunda/bpm/engine/cdi/test/bpmn/SignalEventTest.java
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- engine-cdi/src/test/java/org/camunda/bpm/engine/cdi/test/bpmn/SignalEventTest.java	(revision c09e736db0ff25a3a50d807c3d2602418a7be692)
+++ engine-cdi/src/test/java/org/camunda/bpm/engine/cdi/test/bpmn/SignalEventTest.java	(revision )
@@ -49,8 +49,11 @@
     private RuntimeService runtimeService;  
 
     @Inject
-    private BusinessProcess businessProcess;   
+    private BusinessProcess businessProcess;
 
+    @Inject
+    private ProcessInstance processInstance;
+
     public void execute(DelegateExecution execution) throws Exception {
       businessProcess.setVariable("processName", "throwSignal-visited (was " + businessProcess.getVariable("processName")  + ")");
 
Index: engine-cdi/src/test/java/org/camunda/bpm/engine/cdi/test/CdiProcessEngineTestCase.java
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- engine-cdi/src/test/java/org/camunda/bpm/engine/cdi/test/CdiProcessEngineTestCase.java	(revision c09e736db0ff25a3a50d807c3d2602418a7be692)
+++ engine-cdi/src/test/java/org/camunda/bpm/engine/cdi/test/CdiProcessEngineTestCase.java	(revision )
@@ -100,8 +100,8 @@
     }
 
     beanManager = ProgrammaticBeanLookup.lookup(BeanManager.class);
-    processEngine = ProgrammaticBeanLookup.lookup(ProcessEngine.class);
-    processEngineConfiguration = ((ProcessEngineImpl)BpmPlatform.getProcessEngineService().getDefaultProcessEngine()).getProcessEngineConfiguration();
+    processEngine = processEngineRule.getProcessEngine();
+    processEngineConfiguration = (ProcessEngineConfigurationImpl) processEngineRule.getProcessEngine().getProcessEngineConfiguration();
     formService = processEngine.getFormService();
     historyService = processEngine.getHistoryService();
     identityService = processEngine.getIdentityService();
Index: engine-cdi/src/test/resources/activiti.cfg.xml
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- engine-cdi/src/test/resources/activiti.cfg.xml	(revision c09e736db0ff25a3a50d807c3d2602418a7be692)
+++ engine-cdi/src/test/resources/activiti.cfg.xml	(revision )
@@ -1,26 +1,27 @@
 <?xml version="1.0" encoding="UTF-8"?>
 
 <beans xmlns="http://www.springframework.org/schema/beans"
-	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
-	xsi:schemaLocation="http://www.springframework.org/schema/beans   http://www.springframework.org/schema/beans/spring-beans.xsd">
+       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+       xsi:schemaLocation="http://www.springframework.org/schema/beans   http://www.springframework.org/schema/beans/spring-beans.xsd">
 
-	<bean id="processEngineConfiguration"
-		class="org.camunda.bpm.engine.cdi.CdiStandaloneProcessEngineConfiguration">
-    
+  <bean id="processEngineConfiguration"
+        class="org.camunda.bpm.engine.cdi.CdiStandaloneProcessEngineConfiguration">
+
+    <property name="processEngineName" value="myCustomEngine"/>
-        <property name="jdbcUrl" value="jdbc:h2:mem:activiti" />
+    <property name="jdbcUrl" value="jdbc:h2:mem:activiti"/>
-		<property name="databaseSchemaUpdate" value="true" />				
+    <property name="databaseSchemaUpdate" value="true"/>
-		<property name="jobExecutorActivate" value="false" />
+    <property name="jobExecutorActivate" value="false"/>
-		<property name="mailServerPort" value="5025" />
+    <property name="mailServerPort" value="5025"/>
 
-        <!-- turn off metrics reporter -->
+    <!-- turn off metrics reporter -->
-        <property name="dbMetricsReporterActivate" value="false" />
+    <property name="dbMetricsReporterActivate" value="false"/>
 
-		<property name="customPostBPMNParseListeners">
-			<list>
+    <property name="customPostBPMNParseListeners">
+      <list>
-				<bean class="org.camunda.bpm.engine.cdi.impl.event.CdiEventSupportBpmnParseListener" />
+        <bean class="org.camunda.bpm.engine.cdi.impl.event.CdiEventSupportBpmnParseListener"/>
-			</list>
-		</property>
+      </list>
+    </property>
 
-	</bean>
+  </bean>
 
 </beans>
\ No newline at end of file
Index: engine-cdi/src/main/java/org/camunda/bpm/engine/cdi/impl/ProcessEngineServicesProducer.java
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- engine-cdi/src/main/java/org/camunda/bpm/engine/cdi/impl/ProcessEngineServicesProducer.java	(revision c09e736db0ff25a3a50d807c3d2602418a7be692)
+++ engine-cdi/src/main/java/org/camunda/bpm/engine/cdi/impl/ProcessEngineServicesProducer.java	(revision )
@@ -57,7 +57,9 @@
 
   }
 
-  @Produces @Named @ApplicationScoped public RuntimeService runtimeService() { return processEngine().getRuntimeService(); }
+  @Produces @Named @ApplicationScoped public RuntimeService runtimeService() {
+    return processEngine().getRuntimeService();
+  }
 
   @Produces @Named @ApplicationScoped public TaskService taskService() { return processEngine().getTaskService(); }
 
